apiVersion: v1
kind: Secret
metadata:
  name: {{ include "quassel.fullname" . }}-secret
  labels:
    app.kubernetes.io/name: {{ include "quassel.name" . }}
    helm.sh/chart: {{ include "quassel.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
stringData:
  # If the backend is PostgreSQL, specify the database user password
  DB_PGSQL_PASSWORD: {{ .Values.postgresql.postgresqlPassword | default "" | quote }}
  
  # If the authenticator is Ldap, specify the bind password
  AUTH_LDAP_BIND_PASSWORD: {{ .Values.config.AUTH_LDAP_BIND_PASSWORD | default "" | quote }}
